Package tigase.criteria

# Class ElementCriteria

java.lang.Object
tigase.criteria.ElementCriteria

All Implemented Interfaces:
  `Criteria`

public class ElementCriteria extends Object implements Criteria

Created: 2007-06-19 20:34:57

Version:
  $Rev$
Author:
  bmalkow

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ElementCriteria(String name, String cdata, String[] attname, String[] attValue)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Criteria`
  `add(Criteria criteria)`
  `static final ElementCriteria`
  `empty()`
  `boolean`
  `match(Element element)`
  `static final ElementCriteria`
  `name(String name)`
  `static final ElementCriteria`
  `name(String name, String xmlns)`
  `static final ElementCriteria`
  `name(String name, String[] attNames, String[] attValues)`
  `static final ElementCriteria`
  `name(String name, String cdata, String[] attNames, String[] attValues)`
  `static final ElementCriteria`
  `nameType(String name, String type)`
  `static final ElementCriteria`
  `xmlns(String xmlns)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ElementCriteria

    public ElementCriteria(String name, String cdata, String[] attname, String[] attValue)

- ## Method Details

  - ### empty

    public static final ElementCriteria empty()

  - ### name

    public static final ElementCriteria name(String name)

  - ### name

    public static final ElementCriteria name(String name, String xmlns)

  - ### name

    public static final ElementCriteria name(String name, String cdata, String[] attNames, String[] attValues)

  - ### name

    public static final ElementCriteria name(String name, String[] attNames, String[] attValues)

  - ### nameType

    public static final ElementCriteria nameType(String name, String type)

  - ### xmlns

    public static final ElementCriteria xmlns(String xmlns)

  - ### add

    public Criteria add(Criteria criteria)
    Specified by:
      `add` in interface `Criteria`

  - ### match

    public boolean match(Element element)
    Specified by:
      `match` in interface `Criteria`